import request from '@/utils/request'

// 查询设备操作记录列表
export function listOperationRecords(query) {
  return request({
    url: '/pms/operationRecords/list',
    method: 'get',
    params: query
  })
}

// 查询设备操作记录详细
export function getOperationRecords(id) {
  return request({
    url: '/pms/operationRecords/' + id,
    method: 'get'
  })
}

// 新增设备操作记录
export function addOperationRecords(data) {
  return request({
    url: '/pms/operationRecords',
    method: 'post',
    data: data
  })
}

// 修改设备操作记录
export function updateOperationRecords(data) {
  return request({
    url: '/pms/operationRecords',
    method: 'put',
    data: data
  })
}

// 删除设备操作记录
export function delOperationRecords(id) {
  return request({
    url: '/pms/operationRecords/' + id,
    method: 'delete'
  })
}
